Subject: Re: what is ~1MB of memory allocated at fffea000-fffff000 on ppc64?

From: Anton Blanchard <[email-masked]>
Date: Mon, 27 Aug 2007 18:19:56 -0500

Hi,

> For some background, we're running an emulator that uses a null pointer 
> value of 0xffff0000 and we want any accesses to that address to trap.

Weird :)

> Do you anticipate any issues with the following change?
> 
> -#define TASK_SIZE_USER32 (0x0000000100000000UL - (1*PAGE_SIZE))
> +#define TASK_SIZE_USER32 (0x00000000FFFF0000UL - (1*PAGE_SIZE))

Should be OK, for a 64kB kernel we will put the stack top at 0xFFFF0000
anyway.

Anton